Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1096865 - Docbuilder tags not correctly transformed in Release notes document
Summary: Docbuilder tags not correctly transformed in Release notes document
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: GA
: EAP 6.3.0
Assignee: sgilda
QA Contact: Nikoleta Ziakova
URL:
Whiteboard:
Depends On:
Blocks: eap63-beta-blockers
TreeView+ depends on / blocked
 
Reported: 2014-05-12 14:38 UTC by Nikoleta Ziakova
Modified: 2014-08-14 15:24 UTC (History)
4 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-28 15:41:08 UTC
Type: Bug


Attachments (Terms of Use)

Description Nikoleta Ziakova 2014-05-12 14:38:10 UTC
For example:
In previous versions of JBoss EAP 6, it was found that <literal>CoreGroupCommunicationService#handle</literal> was mishandling exceptions, affecting caller of the class. 

or

The error presented when a <filename>war</filename> archive that contained a <filename>web.xml</filename> with a &lt;servlet-class&gt; that refers to a JAX-WS endpoint (so the class is annotated with @WebService) was located within an <filename>ear</filename> archive and the <filename>jar</filename> containing the class was located in the <filename>ear</filename> archive's <filename>lib/</filename> directory. The relevant code has been amended in this release to scan more thoroughly for @WebService classes and the error no longer presents. 

Document URL:
http://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/6.3/html-single/6.3.0_Release_Notes/index.html

Comment 1 sgilda 2014-05-12 18:20:12 UTC
I'll take this one.

Comment 2 sgilda 2014-05-12 18:53:06 UTC
Modified the 'Doc Text' in the following bugs:

Bug 963448
Bug 1044772
Bug 1052185
Bug 1052187
Bug 1079084
Bug 1085534

Comment 5 sgilda 2014-05-12 20:19:50 UTC
Fixed:

Bug 1062592
Bug 1062595
Bug 1062611
Bug 1063888
Bug 1069127

Comment 6 sgilda 2014-05-12 20:49:43 UTC
I need to check on some formatting changes I made for: 1085534 - [GSS] (6.3.0) Backport PLINK-407

Comment 7 sgilda 2014-05-12 23:57:04 UTC
I removed <programlisting> tags from the following bugs. The appropriate asciidoc tag needs to be added back in:

Bug 901275
Bug 917010
Bug 1015303
Bug 1048709
Bug 1080429
Bug 1085534

Comment 8 sgilda 2014-05-12 23:59:21 UTC
I replaced <emphasis> with <b> in the following bug. It needs the appropriate asciidoc tag:

Bug 1062592

Comment 9 sgilda 2014-05-13 00:07:10 UTC
My fix didn't go through, so I fixed bug 1062592 now.

Comment 10 Scott Mumford 2014-05-13 00:44:13 UTC
The bugs listed in the above comments have been checked in a second sweep and any outstanding markup issues address as required.

Comment 11 sgilda 2014-05-13 11:59:38 UTC
Scott, based on your comment above, I'm changing the status to MODIFIED.

Comment 13 Nikoleta Ziakova 2014-05-14 08:44:02 UTC
Verified, revision 6.3.0-4


Note You need to log in before you can comment on or make changes to this bug.